# Loads environment variables and util functions
load_dependencies() {
    # Paths to the important directories
    ROOT_DIRECTORY="$(cd "$(dirname "${BASH_SOURCE[0]}")" && pwd)"

    # Export Lib functions
    set -o allexport
    for f in $ROOT_DIRECTORY/lib/*; do source $f; done
    set +o allexport

    # Export all the variables
    export ROOT_DIRECTORY
}

# What to do when the program begins
load_dependencies

sudo chmod +x ./scripts/ -R

./scripts/gnome/keybinds.sh
./scripts/gnome/extensions.sh
./scripts/gnome/misc.sh
